#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kjots
Epoch:          3
Version:        6.0.0
Release:        %mkrel %{?date:0.%date.}%rel
Summary:        Note Taker for Plasma
Group:          Office/Utilities
License:        GPLv2 and LGPLv2+
Url:            https://www.kde.org/applications/utilities/kjots/
Source0:        https://download.kde.org/stable/kjots/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6PrintSupport)
BuildRequires:  cmake(Qt6Widgets)
# KF6 Packages
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6Bookmarks)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6TextWidgets)
# PIM packages
BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KPim6Mime)
BuildRequires:  cmake(KPim6AkonadiNotes)
BuildRequires:  cmake(KPim6TextEdit)
BuildRequires:  cmake(KPim6KontactInterface)
BuildRequires:  cmake(KF6TextCustomEditor)
BuildRequires:  cmake(KF6TextAddonsWidgets)
BuildRequires:  cmake(KF6TextTemplate)
BuildRequires:  cmake(KF6TextEditTextToSpeech)


%description
KJots organises all of your notes into separate books.

Features :
   - Multiple books handled.
   - Each book has many named pages.
   - Books and pages can be rearranged by drag-and-drop.
   - Keyboard shortcuts are available for many functions.
   - Automatic saving means your notes are safe from loss.

%files -f %{name}.lang
%doc README
%license LICENSES/*
%{_kf6_bindir}/kjots
%{_qt6_plugindir}/kjotspart.so
%{_qt6_plugindir}/kcm_kjots.so
%{_qt6_plugindir}/pim6/kontact/kontact_kjotsplugin.so
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_datadir}/config.kcfg/%{name}.kcfg
%{_kf6_datadir}/%{name}/
%{_kf6_iconsdir}/hicolor/*/apps/%{name}.*

#-------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DQT_MAJOR_VERSION=6

%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Wed Jun 05 2024 daviddavid <daviddavid> 3:6.0.0-1.mga10
+ Revision: 2070196
- new version: 6.0.0

* Wed Feb 07 2024 daviddavid <daviddavid> 3:5.1.2-0.git20240206.1.mga10
+ Revision: 2038373
- new version: 5.1.2-git20240206 (first git snapshot ported to Qt6/KF6)

* Sun May 28 2023 daviddavid <daviddavid> 3:5.1.1-1.mga9
+ Revision: 1959560
- new version: 5.1.1
- remove merged upstream patches

* Tue Nov 15 2022 daviddavid <daviddavid> 3:5.1.0-2.mga9
+ Revision: 1907387
- add some upstream patches to fix build
- Mageia 9 Mass Rebuild

* Sat Feb 27 2021 daviddavid <daviddavid> 3:5.1.0-1.mga9
+ Revision: 1692681
- new version: 5.1.0

* Thu Dec 17 2020 umeabot <umeabot> 3:5.0.2-10.mga8
+ Revision: 1658724
- Rebuild for new Qt5

* Tue Oct 20 2020 daviddavid <daviddavid> 3:5.0.2-9.mga8
+ Revision: 1637276
- add patch to fix compilation with current kontactinterface API 20.08

* Thu May 28 2020 daviddavid <daviddavid> 3:5.0.2-8.mga8
+ Revision: 1588480
- switch appdata file to kf5_metainfo dir

* Thu Feb 20 2020 daviddavid <daviddavid> 3:5.0.2-7.mga8
+ Revision: 1545649
- rebuild for new grantlee 5.2

* Sat Feb 15 2020 umeabot <umeabot> 3:5.0.2-6.mga8
+ Revision: 1524675
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 3:5.0.2-5.mga7
+ Revision: 1382585
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 3:5.0.2-4.mga7
+ Revision: 1298568
- Mageia 7 Mass Rebuild

* Wed Mar 14 2018 daviddavid <daviddavid> 3:5.0.2-3.mga7
+ Revision: 1209464
- rebuild against current Qt 5.9.4 stack

* Mon Jul 17 2017 akien <akien> 3:5.0.2-2.mga7
+ Revision: 1124232
- Fix conflicts with mga5

* Sun Dec 18 2016 daviddavid <daviddavid> 3:5.0.2-1.mga6
+ Revision: 1075892
- new version: 5.0.2
- remove merged upstream patches

* Thu Sep 22 2016 daviddavid <daviddavid> 3:5.0.1-3.mga6
+ Revision: 1055113
- backport another upstream fix thus fixing build

* Wed Sep 07 2016 neoclust <neoclust> 3:5.0.1-2.mga6
+ Revision: 1050316
- Submit to release

* Wed Aug 24 2016 daviddavid <daviddavid> 3:5.0.1-1.mga6
+ Revision: 1048522
- add an upstream patch to fix build
- imported package kjots

